Follow

Why do I have problems with the game on Internet Explorer 8 or earlier?

Please note that the game has known issues on Internet Explorer 8 and earlier browsers on certain systems. If you experience problems running the game and have Internet Explorer 8 or earlier, please consider using another browser for now. We are currently working on getting this issue resolved.

Was this article helpful?
3 out of 12 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk